__gnu_cxx::_Rope_base(3)

NAME
__gnu_cxx::_Rope_base -

SYNOPSIS

Inherits _Alloc.

Inherited by rope.

Detailed Description

  template<class _CharT, class _Alloc> struct __gnu_cxx::_Rope_base< _CharT, _Alloc >

Definition at line 1427 of file rope.

  Public Types
typedef _Rope_RopeRep< _CharT, _Alloc > _RopeRep
typedef _Alloc allocator_type

  Public Member Functions
_Rope_base (const allocator_type &)
_Rope_base (_RopeRep *__t, const allocator_type &)
allocator_type get_allocator () const

  Public Attributes
_RopeRep * _M_tree_ptr

  Protected Member Functions
_Rope_base (const _Rope_base &)
_Rope_base & operator= (const _Rope_base &)

Author

Generated automatically by Doxygen for libstdc++ from the source code.